Subject: bug#26952: 25.1; loops eating all memory while yanking big rectangle

From: Noam Postavsky <[email-masked]>
Date: Thu, 25 May 2017 13:42:39 -0400

On Thu, May 25, 2017 at 1:29 PM, Francesco Potortì <[email-masked]> wrote:
>>On Thu, May 25, 2017 at 12:48 PM, John Wiegley <[email-masked]> wrote:
>>> FWIW, I too have noticed Emacs 25.2 being quite unstable. For the longest
>>> time, Emacs 24 would run for months without crashing even once. Now it crashes
>>> pretty regularly 2-4 times a day. I wonder now if I'm hitting a memory ceiling
>>> that is triggering the behavior we're describing...
>>
>>You're on macOS right? This bug and the proposed solution to be
>>backported only affects GNU/Linux distributions with recent glibc,
>>AFAIK.
>
> I'm on Debian.  I'm curious to know what did I say to make you think I'm
> on Mac :)

"You're" was referring to John Wiegley there.

>
>>Also, I don't think this bug would trigger crashes, just extreme
>>system slowness due to swapping.
>
> Well, it eats all my memory.  It is worse than a crash,

Yes, it can be. A crash only affects Emacs, the slowness affects the
whole system.

> the first time I
> had problems managing to kill Emacs.

Although as far as I could tell, a normal SIGINT is still enough to
kill Emacs, but it took around 10 or 20 seconds before it actually
took effect (due to the aforementioned system slowness).